package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface CustomerHomeRemote extends javax.ejb.EJBHome {

    public CustomerRemote create(Integer id) throws CreateException, RemoteException;
    public CustomerRemote findByPrimaryKey(Integer id) throws FinderException, RemoteException;
    public CustomerRemote findByExactName(String lastName, String firstName) throws FinderException, RemoteException;
    public Collection findByName(String lastName, String firstName)
	throws FinderException, RemoteException;
    public CustomerRemote findSmith90()  
	throws FinderException, RemoteException;
    public Collection findByGoodCredit()
	throws FinderException, RemoteException;
    public Collection findByCity(String city, String state)
	throws FinderException, RemoteException;
    public Collection findInHotStates()
	throws FinderException, RemoteException;
    public Collection findWithNoReservations()
	throws FinderException, RemoteException;
    public Collection findByNameAndState(String lastName, String firstName, String state)
	throws FinderException, RemoteException;
    public Collection callFindOnCruise(Integer cruiseId)
    	throws FinderException, RemoteException;
    public Collection findAllCreditCardAddress(String city)
	throws FinderException, RemoteException;
}

